Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		wol
#Epoch:		0
Version:	0.7.1
Release:	1
License:	GNU/GPLv2
URL:		http://sourceforge.net/projects/wake-on-lan/
Group:		System/Configuration/Hardware
Summary:	Wake On LAN (WOL) client
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
wol implements Wake On LAN functionality in a small program. It wakes up hardware that is Magic Packet compliant.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--mandir=%_mandir \
--infodir=%_infodir \
--disable-debug

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

rm -rf $RPM_BUILD_ROOT/%{_infodir}/dir

%files
%defattr(-,root,root)
%{_bindir}/wol
%{_bindir}/wol-bootptab
%{_bindir}/wol-dhcpdconf
%{_infodir}/wol.info.gz
%{_datadir}/locale/*/LC_MESSAGES/wol.mo
%{_mandir}/man1/wol.1.gz


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.7.1-1
- initial CCux package release
